package com.luojigou.product.xiaodou.ble

import android.bluetooth.BluetoothDevice
import android.os.Parcel
import android.os.Parcelable
import java.util.Objects

data class XDScanBLEDevice(
    val name: String,
    val rssi: String,
    val bondState: String,
    val address: String,
    val addressType: String,
    val device: BluetoothDevice,
) : Parcelable {

    // Parcelable Creator
    companion object {
        @JvmField
        val CREATOR: Parcelable.Creator<XDScanBLEDevice> = object :
            Parcelable.Creator<XDScanBLEDevice> {
            override fun createFromParcel(source: Parcel): XDScanBLEDevice {
                return XDScanBLEDevice(
                    source.readString()!!,
                    source.readString()!!,
                    source.readString()!!,
                    source.readString()!!,
                    source.readString()!!,
                    source.readParcelable(BluetoothDevice::class.java.classLoader)!!
                )
            }

            override fun newArray(size: Int): Array<XDScanBLEDevice?> {
                return arrayOfNulls(size)
            }
        }
    }

    // 实现 writeToParcel 方法
    override fun writeToParcel(dest: Parcel, flags: Int) {
        dest.writeString(name)
        dest.writeString(rssi)
        dest.writeString(bondState)
        dest.writeString(address)
        dest.writeString(addressType)
        dest.writeParcelable(device, flags)
    }

    // 实现 describeContents 方法（通常返回0）
    override fun describeContents(): Int {
        return 0
    }

    override fun hashCode(): Int {
        return Objects.hash(address, addressType)
    }

    override fun equals(other: Any?): Boolean {
        return if (other is XDScanBLEDevice) {
            address == other.address && addressType == other.addressType
        } else {
            false
        }
    }
}