package com.luojigou.product.xiaodou.connect

import android.content.Intent
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.EditText
import android.widget.TextView
import androidx.fragment.app.Fragment
import com.luojigou.product.R
import com.luojigou.product.xiaodou.XDConnectService
import com.luojigou.product.xiaodou.wifi.XDScanWifiInfo

class XDConnectPasswordFragment(private val ssid: String) : Fragment() {
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_connect_password, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val ssid = view.findViewById<TextView>(R.id.tv_ssid)
        ssid.text = this.ssid

        val pwd = view.findViewById<EditText>(R.id.et_pwd)
        val button = view.findViewById<Button>(R.id.btn_pwd)

        button.setOnClickListener {
            val pwdText = pwd.getText()

            val intent = Intent(XDConnectService.ACTION_SELECT_WIFI_DEVICE)
            intent.putExtra(
                XDConnectService.ACTION_SELECT_WIFI_DEVICE_DATA,
                XDScanWifiInfo(this.ssid, pwdText.toString())
            )
            requireActivity().sendBroadcast(intent)
        }
    }
}