package com.luojigou.product.xiaodou.wifi

import android.net.wifi.ScanResult
import android.os.Build
import android.os.Parcel
import android.os.Parcelable

fun ScanResult.ssid(): String = if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.TIRAMISU) {
    val s = this.wifiSsid.toString()
    if (s.isBlank()) {
        s
    } else {
        s.substring(1, s.length - 1)
    }
} else {
    BSSID
}

data class XDScanWifiInfo(
    val ssid: String,
    val password: String,
) : Parcelable {

    companion object {
        @JvmField
        val CREATOR: Parcelable.Creator<XDScanWifiInfo> = object :
            Parcelable.Creator<XDScanWifiInfo> {
            override fun createFromParcel(source: Parcel): XDScanWifiInfo {
                return XDScanWifiInfo(
                    source.readString()!!,
                    source.readString()!!,
                )
            }

            override fun newArray(size: Int): Array<XDScanWifiInfo?> {
                return arrayOfNulls(size)
            }
        }
    }

    override fun writeToParcel(dest: Parcel, flags: Int) {
        dest.writeString(ssid)
        dest.writeString(password)
    }

    override fun describeContents(): Int {
        return 0
    }

    override fun toString(): String {
        return "XDScanWifiInfo(ssid='$ssid', password='$password')"
    }
}