package com.luojigou.product.xiaodou.wifi

import android.content.Context
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.view.inputmethod.InputMethodManager
import android.widget.Button
import android.widget.EditText
import com.google.android.material.bottomsheet.BottomSheetDialogFragment
import com.luojigou.product.R

class XDScanWifiPasswordWithSsidFragment(private val onPasswordEdit: (ssid: String, password: String) -> Unit) :
    BottomSheetDialogFragment() {

    private lateinit var ssid: EditText
    private lateinit var pwd: EditText
    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?
    ): View {
        return inflater.inflate(R.layout.fragment_scanwifi_password_with_ssid, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        ssid = view.findViewById<EditText>(R.id.et_ssid)
        pwd = view.findViewById<EditText>(R.id.et_pwd)
        val button = view.findViewById<Button>(R.id.btn_pwd)

        button.setOnClickListener {
            val ssidText = ssid.getText()
            val pwdText = pwd.getText()
            onPasswordEdit.invoke(ssidText.toString(), pwdText.toString())
            dismiss()
        }
    }

    override fun onResume() {
        super.onResume()

        ssid.requestFocus()
        val ims = requireActivity().getSystemService(Context.INPUT_METHOD_SERVICE) as InputMethodManager
        ims.showSoftInput(ssid, InputMethodManager.SHOW_IMPLICIT)
    }
}